Skip to main content

Module airbyte_agent_sdk.connectors.notion.models

Pydantic models for notion connector.

This module contains Pydantic models used for authentication configuration and response envelope types.

Classes

AirbyteSearchMeta(**data: Any) : Pagination metadata for search responses.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

cursor: str | None : Cursor for fetching the next page of results.

has_more: bool : Whether more results are available.

model_config : The type of the None singleton.

took_ms: int | None : Time taken to execute the search in milliseconds.

AirbyteSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel
  • typing.Generic

Descendants

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult[BlocksSearchData]
  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult[CommentsSearchData]
  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult[DataSourcesSearchData]
  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult[PagesSearchData]
  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult[UsersSearchData]

Class variables

data: list[~D] : List of matching records.

meta: airbyte_agent_sdk.connectors.notion.models.AirbyteSearchMeta : Pagination metadata.

model_config : The type of the None singleton.

AirbyteSearchResult[BlocksSearchData](**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Class variables

model_config : The type of the None singleton.

BlocksSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

AirbyteSearchResult[CommentsSearchData](**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Class variables

model_config : The type of the None singleton.

CommentsSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

AirbyteSearchResult[DataSourcesSearchData](**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Class variables

model_config : The type of the None singleton.

DataSourcesSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

AirbyteSearchResult[PagesSearchData](**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Class variables

model_config : The type of the None singleton.

PagesSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

AirbyteSearchResult[UsersSearchData](**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Class variables

model_config : The type of the None singleton.

UsersSearchResult(**data: Any) : Result from Airbyte cache search operations with typed records.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • airbyte_agent_sdk.connectors.notion.models.AirbyteSearchResult
  • pydantic.main.BaseModel
  • typing.Generic

Block(**data: Any) : A Notion block object

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

archived: bool | None : The type of the None singleton.

bookmark: airbyte_agent_sdk.connectors.notion.models.BlockBookmark | None : The type of the None singleton.

breadcrumb: dict[str, typing.Any] | None : The type of the None singleton.

bulleted_list_item: airbyte_agent_sdk.connectors.notion.models.BlockBulletedListItem | None : The type of the None singleton.

callout: airbyte_agent_sdk.connectors.notion.models.BlockCallout | None : The type of the None singleton.

child_database: airbyte_agent_sdk.connectors.notion.models.BlockChildDatabase | None : The type of the None singleton.

child_page: airbyte_agent_sdk.connectors.notion.models.BlockChildPage | None : The type of the None singleton.

code: airbyte_agent_sdk.connectors.notion.models.BlockCode | None : The type of the None singleton.

column: airbyte_agent_sdk.connectors.notion.models.BlockColumn | None : The type of the None singleton.

column_list: dict[str, typing.Any] | None : The type of the None singleton.

created_by: airbyte_agent_sdk.connectors.notion.models.BlockCreatedBy | None : The type of the None singleton.

created_time: str | None : The type of the None singleton.

divider: dict[str, typing.Any] | None : The type of the None singleton.

embed: airbyte_agent_sdk.connectors.notion.models.BlockEmbed | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockEquation | None : The type of the None singleton.

file: dict[str, typing.Any] | None : The type of the None singleton.

has_children: bool | None : The type of the None singleton.

heading_1: airbyte_agent_sdk.connectors.notion.models.BlockHeading1 | None : The type of the None singleton.

heading_2: airbyte_agent_sdk.connectors.notion.models.BlockHeading2 | None : The type of the None singleton.

heading_3: airbyte_agent_sdk.connectors.notion.models.BlockHeading3 | None : The type of the None singleton.

id: str : The type of the None singleton.

image: dict[str, typing.Any] | None : The type of the None singleton.

in_trash: bool | None : The type of the None singleton.

last_edited_by: airbyte_agent_sdk.connectors.notion.models.BlockLastEditedBy | None : The type of the None singleton.

last_edited_time: str | None : The type of the None singleton.

link_preview: airbyte_agent_sdk.connectors.notion.models.BlockLinkPreview | None : The type of the None singleton.

link_to_page: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

numbered_list_item: airbyte_agent_sdk.connectors.notion.models.BlockNumberedListItem | None : The type of the None singleton.

object_: str | None : The type of the None singleton.

paragraph: airbyte_agent_sdk.connectors.notion.models.BlockParagraph | None : The type of the None singleton.

parent: typing.Any | None : The type of the None singleton.

pdf: dict[str, typing.Any] | None : The type of the None singleton.

quote: airbyte_agent_sdk.connectors.notion.models.BlockQuote | None : The type of the None singleton.

request_id: str | None : The type of the None singleton.

synced_block: dict[str, typing.Any] | None : The type of the None singleton.

table: airbyte_agent_sdk.connectors.notion.models.BlockTable | None : The type of the None singleton.

table_of_contents: airbyte_agent_sdk.connectors.notion.models.BlockTableOfContents | None : The type of the None singleton.

table_row: airbyte_agent_sdk.connectors.notion.models.BlockTableRow | None : The type of the None singleton.

template: dict[str, typing.Any] | None : The type of the None singleton.

to_do: airbyte_agent_sdk.connectors.notion.models.BlockToDo | None : The type of the None singleton.

toggle: airbyte_agent_sdk.connectors.notion.models.BlockToggle | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

unsupported: dict[str, typing.Any] | None : The type of the None singleton.

video: dict[str, typing.Any] | None : The type of the None singleton.

BlockBookmark(**data: Any) : Bookmark block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

caption: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockBulletedListItem(**data: Any) : Bulleted list item content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockCallout(**data: Any) : Callout block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

icon: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockChildDatabase(**data: Any) : Child database block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

title: str | None : The type of the None singleton.

BlockChildPage(**data: Any) : Child page block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

title: str | None : The type of the None singleton.

BlockCode(**data: Any) : Code block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

caption: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

language: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockColumn(**data: Any) : Column block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

width_ratio: float | None : The type of the None singleton.

BlockCreateParams(**data: Any) : Parameters for appending child blocks to a parent block or page. The block_id path parameter specifies the parent.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

children: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItem] : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItem(**data: Any) : A block object. Set type to the block kind and include matching content.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

audio: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemAudio | None : Media file. Use external URL or file upload.

bookmark: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmark | None : Bookmark block

bulleted_list_item: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItem | None : Bulleted list item content

callout: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCallout | None : Callout block content

code: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCode | None : Code block content

divider: dict[str, typing.Any] | None : Divider block (empty object)

embed: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemEmbed | None : Embed block

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemEquation | None : Equation block

file: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemFile | None : Media file. Use external URL or file upload.

heading_1: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1 | None : Heading 1 block content

heading_2: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2 | None : Heading 2 block content

heading_3: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3 | None : Heading 3 block content

image: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemImage | None : Media file. Use external URL or file upload.

model_config : The type of the None singleton.

numbered_list_item: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItem | None : Numbered list item content

paragraph: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraph | None : Paragraph block content

pdf: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemPdf | None : Media file. Use external URL or file upload.

quote: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuote | None : Quote block content

table_of_contents: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemTableOfContents | None : Table of contents block

to_do: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDo | None : To-do block content

toggle: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggle | None : Toggle block content

type_: str | None : Block type: paragraph, heading_1, heading_2, heading_3, bulleted_list_item, numbered_list_item, to_do, toggle, code, quote, callout, divider, bookmark, embed, equation, table_of_contents, image, video, file, pdf, audio, column_list, column, table, synced_block, link_to_page, etc.

video: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemVideo | None : Media file. Use external URL or file upload.

BlockCreateParamsChildrenItemAudio(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemAudioExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemAudioFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockCreateParamsChildrenItemAudioExternal(**data: Any) : Nested schema for BlockCreateParamsChildrenItemAudio.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemAudioFileUpload(**data: Any) : Nested schema for BlockCreateParamsChildrenItemAudio.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemBookmark(**data: Any) : Bookmark block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

caption: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmarkCaptionItem] | None : The type of the None singleton.

model_config : The type of the None singleton.

url: str | None : URL to bookmark

BlockCreateParamsChildrenItemBookmarkCaptionItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBookmark.caption_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmarkCaptionItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmarkCaptionItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmarkCaptionItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemBookmarkCaptionItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBookmarkCaptionItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemBookmarkCaptionItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBookmarkCaptionItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemBookmarkCaptionItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBookmarkCaptionItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBookmarkCaptionItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemBookmarkCaptionItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBookmarkCaptionItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItem(**data: Any) : Bulleted list item content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItemRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItemRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBulletedListItem.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItemRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItemRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItemRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItemRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBulletedListItemRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItemRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBulletedListItemRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItemRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBulletedListItemRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemBulletedListItemRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemBulletedListItemRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemBulletedListItemRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemCallout(**data: Any) : Callout block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

icon: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCalloutRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemCalloutRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCallout.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCalloutRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCalloutRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCalloutRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemCalloutRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCalloutRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemCalloutRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCalloutRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemCalloutRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCalloutRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCalloutRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemCalloutRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCalloutRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemCode(**data: Any) : Code block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

language: str | None : Programming language for syntax highlighting

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCodeRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemCodeRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCode.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCodeRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCodeRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCodeRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemCodeRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCodeRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemCodeRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCodeRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemCodeRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCodeRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemCodeRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemCodeRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemCodeRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemEmbed(**data: Any) : Embed block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : URL to embed

BlockCreateParamsChildrenItemEquation(**data: Any) : Equation block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : LaTeX expression

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemFile(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemFileExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemFileFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockCreateParamsChildrenItemFileExternal(**data: Any) : Nested schema for BlockCreateParamsChildrenItemFile.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemFileFileUpload(**data: Any) : Nested schema for BlockCreateParamsChildrenItemFile.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1(**data: Any) : Heading 1 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1RichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1RichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading1.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1RichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1RichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1RichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1RichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading1RichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1RichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading1RichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1RichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading1RichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading1RichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading1RichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading1RichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2(**data: Any) : Heading 2 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2RichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2RichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading2.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2RichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2RichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2RichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2RichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading2RichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2RichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading2RichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2RichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading2RichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading2RichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading2RichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading2RichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3(**data: Any) : Heading 3 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3RichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3RichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading3.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3RichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3RichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3RichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3RichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading3RichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3RichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading3RichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3RichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading3RichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemHeading3RichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemHeading3RichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemHeading3RichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemImage(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemImageExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemImageFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockCreateParamsChildrenItemImageExternal(**data: Any) : Nested schema for BlockCreateParamsChildrenItemImage.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemImageFileUpload(**data: Any) : Nested schema for BlockCreateParamsChildrenItemImage.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItem(**data: Any) : Numbered list item content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItemRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItemRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemNumberedListItem.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItemRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItemRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItemRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItemRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemNumberedListItemRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItemRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemNumberedListItemRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItemRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemNumberedListItemRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemNumberedListItemRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemNumberedListItemRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemNumberedListItemRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemParagraph(**data: Any) : Paragraph block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraphRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemParagraphRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemParagraph.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraphRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraphRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraphRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemParagraphRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemParagraphRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemParagraphRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemParagraphRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemParagraphRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemParagraphRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemParagraphRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemParagraphRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemParagraphRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemPdf(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemPdfExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemPdfFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockCreateParamsChildrenItemPdfExternal(**data: Any) : Nested schema for BlockCreateParamsChildrenItemPdf.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemPdfFileUpload(**data: Any) : Nested schema for BlockCreateParamsChildrenItemPdf.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemQuote(**data: Any) : Quote block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuoteRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemQuoteRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemQuote.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuoteRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuoteRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuoteRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemQuoteRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemQuoteRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemQuoteRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemQuoteRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemQuoteRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemQuoteRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemQuoteRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemQuoteRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemQuoteRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemTableOfContents(**data: Any) : Table of contents block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemToDo(**data: Any) : To-do block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

checked: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDoRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemToDoRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToDo.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDoRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDoRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDoRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemToDoRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToDoRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemToDoRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToDoRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemToDoRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToDoRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToDoRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemToDoRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToDoRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemToggle(**data: Any) : Toggle block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggleRichTextItem] | None : The type of the None singleton.

BlockCreateParamsChildrenItemToggleRichTextItem(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToggle.rich_text_item

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

annotations: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggleRichTextItemAnnotations | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggleRichTextItemEquation | None : The type of the None singleton.

mention: dict[str, typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

text: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggleRichTextItemText | None : The type of the None singleton.

type_: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemToggleRichTextItemAnnotations(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToggleRichTextItem.annotations

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

bold: bool | None : The type of the None singleton.

code: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

italic: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

strikethrough: bool | None : The type of the None singleton.

underline: bool | None : The type of the None singleton.

BlockCreateParamsChildrenItemToggleRichTextItemEquation(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToggleRichTextItem.equation

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemToggleRichTextItemText(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToggleRichTextItem.text

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

content: str | None : The type of the None singleton.

link: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemToggleRichTextItemTextLink | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreateParamsChildrenItemToggleRichTextItemTextLink(**data: Any) : Nested schema for BlockCreateParamsChildrenItemToggleRichTextItemText.link

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemVideo(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemVideoExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockCreateParamsChildrenItemVideoFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockCreateParamsChildrenItemVideoExternal(**data: Any) : Nested schema for BlockCreateParamsChildrenItemVideo.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockCreateParamsChildrenItemVideoFileUpload(**data: Any) : Nested schema for BlockCreateParamsChildrenItemVideo.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockCreatedBy(**data: Any) : User who created the block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

object_: str | None : The type of the None singleton.

BlockEmbed(**data: Any) : Embed block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockEquation(**data: Any) : Equation block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

expression: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockHeading1(**data: Any) : Heading 1 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockHeading2(**data: Any) : Heading 2 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockHeading3(**data: Any) : Heading 3 block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

is_toggleable: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockLastEditedBy(**data: Any) : User who last edited the block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

object_: str | None : The type of the None singleton.

BlockLinkPreview(**data: Any) : Link preview block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockNumberedListItem(**data: Any) : Numbered list item content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockParagraph(**data: Any) : Paragraph block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockQuote(**data: Any) : Quote block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockTable(**data: Any) : Table block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

has_column_header: bool | None : The type of the None singleton.

has_row_header: bool | None : The type of the None singleton.

model_config : The type of the None singleton.

table_width: int | None : The type of the None singleton.

BlockTableOfContents(**data: Any) : Table of contents block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockTableRow(**data: Any) : Table row block

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

cells: list[typing.Any] | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockToDo(**data: Any) : To-do block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

checked: bool | None : The type of the None singleton.

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockToggle(**data: Any) : Toggle block content

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

color: str | None : The type of the None singleton.

model_config : The type of the None singleton.

rich_text: list[airbyte_agent_sdk.connectors.notion.models.RichText] | None : The type of the None singleton.

BlockUpdateParams(**data: Any) : Parameters for updating a block. Include the block type and its updated content. Omitted fields within the type are unchanged.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

archived: bool | None : The type of the None singleton.

audio: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsAudio | None : The type of the None singleton.

bookmark: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsBookmark | None : The type of the None singleton.

bulleted_list_item: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsBulletedListItem | None : The type of the None singleton.

callout: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsCallout | None : The type of the None singleton.

code: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsCode | None : The type of the None singleton.

embed: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsEmbed | None : The type of the None singleton.

equation: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsEquation | None : The type of the None singleton.

file: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsFile | None : The type of the None singleton.

heading_1: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsHeading1 | None : The type of the None singleton.

heading_2: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsHeading2 | None : The type of the None singleton.

heading_3: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsHeading3 | None : The type of the None singleton.

image: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsImage | None : The type of the None singleton.

model_config : The type of the None singleton.

numbered_list_item: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsNumberedListItem | None : The type of the None singleton.

paragraph: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsParagraph | None : The type of the None singleton.

pdf: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsPdf | None : The type of the None singleton.

quote: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsQuote | None : The type of the None singleton.

table: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsTable | None : The type of the None singleton.

to_do: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsToDo | None : The type of the None singleton.

toggle: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsToggle | None : The type of the None singleton.

video: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsVideo | None : The type of the None singleton.

BlockUpdateParamsAudio(**data: Any) : Media file. Use external URL or file upload.

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

external: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsAudioExternal | None : The type of the None singleton.

file_upload: airbyte_agent_sdk.connectors.notion.models.BlockUpdateParamsAudioFileUpload | None : The type of the None singleton.

model_config : The type of the None singleton.

type_: str | None : File type: external or file_upload

BlockUpdateParamsAudioExternal(**data: Any) : Nested schema for BlockUpdateParamsAudio.external

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

model_config : The type of the None singleton.

url: str | None : The type of the None singleton.

BlockUpdateParamsAudioFileUpload(**data: Any) : Nested schema for BlockUpdateParamsAudio.file_upload

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

id: str | None : The type of the None singleton.

model_config : The type of the None singleton.

BlockUpdateParamsBookmark(**data: Any) : Updated bookmark

Create a new model by parsing and validating input data from keyword arguments.

Raises [ValidationError][pydantic_core.ValidationError] if the input data cannot be validated to form a valid model.

self is explicitly positional-only to allow self as a field name.

Ancestors (in MRO)

  • pydantic.main.BaseModel

Class variables

[...]
